Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.opensymphony.xwork2
Interface ActionProxyFactory

All Known Implementing Classes:
  DefaultActionProxyFactory, StrutsActionProxyFactory

    public interface ActionProxyFactory

The ActionProxyFactory is used to create ActionProxies to be executed. It is the entry point to XWork that is used by a dispatcher to create an ActionProxy to execute for a particular namespace and action name.

Author:
  Jason Carreira Created Jun 15, 2003 5:18:30 PM
See Also:
  `DefaultActionProxyFactory`

Method Summary
`ActionProxy` | `createActionProxy(String namespace, String actionName, Map extraContext)` Creates an ActionProxy for the given namespace and action name by looking up the configuration.
`ActionProxy` | `createActionProxy(String namespace, String actionName, Map extraContext, boolean executeResult, boolean cleanupContext)` Creates an ActionProxy for the given namespace and action name by looking up the configuration.

Method Detail

### createActionProxy

    ActionProxy createActionProxy(String namespace,
                                  String actionName,
                                  Map extraContext)
                                  throws Exception

  Creates an ActionProxy for the given namespace and action name by looking up the configuration. The ActionProxy should be fully initialized when it is returned, including having an ActionInvocation instance associated.

  Parameters:
    `namespace` - the namespace of the action
    `actionName` -
    `extraContext` - a Map of extra parameters to be provided to the ActionProxy
  Returns:
    ActionProxy
  Throws:
    `Exception`

### createActionProxy

    ActionProxy createActionProxy(String namespace,
                                  String actionName,
                                  Map extraContext,
                                  boolean executeResult,
                                  boolean cleanupContext)
                                  throws Exception

  Creates an ActionProxy for the given namespace and action name by looking up the configuration. The ActionProxy should be fully initialized when it is returned, including having an ActionInvocation instance associated.

  Parameters:
    `namespace` - the namespace of the action
    `actionName` -
    `extraContext` - a Map of extra parameters to be provided to the ActionProxy
    `executeResult` - flag which tells whether the result should be executed after the action
    `cleanupContext` -
  Returns:
    ActionProxy
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007 Apache Software Foundation. All Rights Reserved.